package com.goomood.phm.service;

import java.util.List;
import com.goomood.phm.domain.TechLingo;

/**
 * 专业术语Service接口
 * 
 * @author goomood
 * @date 2024-11-16
 */
public interface ITechLingoService 
{
    /**
     * 查询专业术语
     * 
     * @param id 专业术语主键
     * @return 专业术语
     */
    public TechLingo selectTechLingoById(Long id);

    /**
     * 查询专业术语列表
     * 
     * @param techLingo 专业术语
     * @return 专业术语集合
     */
    public List<TechLingo> selectTechLingoList(TechLingo techLingo);

    /**
     * 新增专业术语
     * 
     * @param techLingo 专业术语
     * @return 结果
     */
    public int insertTechLingo(TechLingo techLingo);

    /**
     * 修改专业术语
     * 
     * @param techLingo 专业术语
     * @return 结果
     */
    public int updateTechLingo(TechLingo techLingo);

    /**
     * 批量删除专业术语
     * 
     * @param ids 需要删除的专业术语主键集合
     * @return 结果
     */
    public int deleteTechLingoByIds(Long[] ids);

    /**
     * 删除专业术语信息
     * 
     * @param id 专业术语主键
     * @return 结果
     */
    public int deleteTechLingoById(Long id);
}
